Bug 890721 - perl-Net-Amazon-S3 in Fedora 17 is dated and needs to be updated to stop warnings
Summary: perl-Net-Amazon-S3 in Fedora 17 is dated and needs to be updated to stop warn...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-Amazon-S3
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 981200
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-29 06:04 UTC by Paul E. Jones
Modified: 2014-07-29 02:08 UTC (History)
3 users (show)

Fixed In Version: perl-Net-Amazon-S3-0.53-8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 02:08:09 UTC


Attachments (Terms of Use)

Description Paul E. Jones 2012-12-29 06:04:38 UTC
Description of problem:
perl-Net-Amazon-S3 in Fedora 17 is at 0.53.  A change in Perl syntax has made syntax used in Net/Amazon/S3/Request/ListBucket.pm to be considered deprecated and Perl produces a warning when trying to use the package.

Version-Release number of selected component (if applicable):
perl-Net-Amazon-S3-0.53-3.fc17.noarch

How reproducible:
Easily reproduced with the 1-line Perl program as shown below.

Steps to Reproduce:
1. perl -e "use Net::Amazon::S3"
  
Actual results:
Use of qw(...) as parentheses is deprecated at /usr/share/perl5/vendor_perl/Net/Amazon/S3/Request/ListBucket.pm line 22.

Expected results:
No warnings.

Additional info:
CPAN is currently at 0.58.  I noted the syntax related to this function was changed in that version.  It's a trivial syntax change and if it's not possible to use newer source code from CPAN, I would suggest at least incorporating that small syntax change into 0.53-xx used in Fedora.

Comment 1 Fedora End Of Life 2013-07-04 03:03:18 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Petr Pisar 2013-07-04 08:46:37 UTC
Version 0.59 requires MooseX::Types::DateTime::MoreCoercions >= 0.07 which is not packaged yet.

Comment 3 Fedora End Of Life 2013-08-01 18:01:41 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora Admin XMLRPC Client 2013-08-08 07:20:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Petr Pisar 2014-07-18 13:10:18 UTC
Only F19 is affected.

Comment 6 Fedora Update System 2014-07-18 13:22:03 UTC
perl-Net-Amazon-S3-0.53-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Net-Amazon-S3-0.53-8.fc19

Comment 7 Fedora Update System 2014-07-19 06:05:06 UTC
Package perl-Net-Amazon-S3-0.53-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Net-Amazon-S3-0.53-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8524/perl-Net-Amazon-S3-0.53-8.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-07-29 02:08:09 UTC
perl-Net-Amazon-S3-0.53-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.